More packages for Puppy2

This is taking awhile! I keep finding more packages that need to be added to bring the new Puppy2 up to a par with (at least) Puppy4, or packages that have to be upgraded/recompiled.

Of course, although not shown below, all packages are compiled with:
# make
# new2dir make install
And in many cases:
# dir2pet <binary package folder name>

Abiword was crashing at startup with the upgraded GTK libs. I recompiled the same version, still no good. So, I compiled version 2.6.3 and that works.

wv 1.2.5
This is for accessing Microsoft Word documents, needed by abiword.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu

enchant 1.4.2
This is a frontend library for the various spell-checking systems, needed by abiword. Only 'ispell' is available.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-t2-linux-gnu --disable-myspell --disable-uspell --disable-hspell

abiword 2.6.3
I did not upgrade goffice, instead abiword configures to use its own inbuilt goffice components -- which looks to be much smaller than the full goffice package. Note, gnumeric requires goffice, but currently have the original Puppy-217 version of gnumeric and an old Puppy-217 version of goffice that is fairly small.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-printing --enable-threads --disable-gucharmap --disable-scripting --without-ImageMagick

ayttm 0.5.0-92
This is the multi-protocol chat client used in Puppy 4.1.x. This is a very active project -- Siddhesh is the main man. I downloaded this from CVS yesterday.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --disable-esd --disable-arts --disable-webcam

medit 0.9.4
I got it out of CVS as the author fixed a bug I reported with the tab character (if set to anything other than 8 spaces then it always gets converted to space characters), however I can't compile it. So reverting to 0.9.4 for now. I'm interested in medit as an alternative to geany, due to support for syntax highlightng of Genie code. Note, medit uses its own inbuilt gtksourceview.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --without-python --without-fam --with-system-pcre

Medit and gtksourceview have some duplication, however I was able to reduce it somewhat. The Woof build script '3builddistro' now checks to see that both packages are present and shares some common files. This is all the language definition files and saves about 800KB (uncompressed).

absvolume_puppy 0.4
I should know, can't quite think who worked on this for Puppy ...ah, I remember HairyWill was into playing with coding various volume controls. Anyway, I found source with version 0.4, but I'm not sure if that's the latest. Works ok though, and has the 4 icons to show the volume level.
This does not compile in Puppy 217, but does after the GTK upgrade.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var

sgmixer 0.3
Same mixer as used in 412. It has a menu entry, also a right-click on the tray applet volume icon will launch it. It's a GTK2 app which is why I'm compiling it for Puppy2. Of course we still have the more capable alsamixer.
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu

gcolorsel 1.0.0
A GTK2 color selector and desktop color picker. Puppy 412 has 'golor2' which seems to be the same. This can be also be used in a script to return a color on stdout.
# make

gfontsel 1.0.0
A GTK2 font selector. Also in 412, recompiling for Puppy2.
# make

didiwiki 0.5-5.1-patched1
Tiny personal wiki. If I recall rightly, this version fixes printing -- that was done by one of our Puppy-guys.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var

dmidecode 2.9
This reads information out of the BIOS. Puppy2 does not have this, and one of my scripts uses it.
Edited Makefile, changed install prefix to "/usr".
# make

ethtool 6
Puppy 412 has this, and Dougal makes use of it in the Network Wizard. This brings Puppy2 up to par.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var

pptp 1.7.1
Upgrade. Implements the point-to-point tunneling protocol.
# make

gpptp 0.1.0
This is a GTK2 VPN frontend for the pptp program. Puppy2 did not have this. I seem to recall some discussion awhile back on the forum about this program, that it is a bit too simple -- well, it is a very small C program, and anyone interested in improving it is welcome to -- maybe rewrite it in Genie
I think that the author only ever released the one version.
Edited Makefile, changed "arm-linux-gcc" to "gcc".
# make

gtkdialog3 0.7.20
Puppy 217 had 0.7.18. The latest is 0.7.20, and there is a patch from Debian that fixes a bug.
# patch -p1 < ../gtkdialog_0.7.20-4.diff
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
Got a compile error:
glade_support.c:43: error: 'signal' redeclared as different kind of symbol
/usr/include/signal.h:93: error: previous declaration of 'signal' was here

As far as I can see, it is just a name conflict, so I have renamed "signal" to "signal_bk" in glade_support.c.
I will upload the patched source as 'gtkdialog3-0.7.20-patched2.tar.gz'.

gwhere 0.2.3
This is a GTK2 disk cataloger application, particularly useful for cataloging your CD/DVDs. Puppy2 had gtkcat, which is a GTK1 application, and I am getting rid of all the GTK1 apps.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --enable-gtk20

hiawatha 6.11
The featureful web server that is guaranteed to be secure. Puppy2 did not have have this, it had a very basic and insecure server builtin, named 'nullhttpd'.
# export webrootdir=/root/httpd/hiawatha
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --enable-xslt

id3lib 3.8.3
Library and utilities for manipulating id3 tags.
Puppy 217 does not have this. I think that it is needed by one of zigbert's applications.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --enable-debug=no

inotail 0.5
Puppy 217 does not have this. Monitor a file using the efficient kernel inotify mechanism.

lzma 4.32.7
As I recall, there are two different packages by the name 'lzma' but they aren't interchangeable. Puppy2 does not have it builtin but it is in the ibiblio repo, but I think that is the "wrong one" (version 443). This package is the "correct one" (required by the 'dpkg' package) and I am building it into the live-CD as per 412.

mtr 0.72
This is a GTK network trace tool. Find out where your packets go, between you and the other end. 217 does not have this.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-gtk2

psip 0.12
A problem, the 'psip' package used in 412 has the 'pjsua_custom_03-0.9.0' executable but that is compiled with a later glibc and it won't work in Puppy2.
Hunted back through my DVD archive, found 'pjproject-0.9.0-custom-03.tgz', so did the usual:
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu
and got an executable 'pjsua-i486-pc-linux-gnu' which looks like what we want.

puppyinputdetect 1.1i
This was created by Jesse and is in 412. It can detect type of mouse and keyboard (but not serial mouse).
# make

ssh-gui 0.7.1-patched1
For secure remote login. This is in Puppy2, compiled as a GTK1 application. The patched package was used in 412, compiled with GTK2.
# make

superscan 0.8-patched1
This is the same situation, it was compiled as a GTK1 application in Puppy2. I patched it to compile with GTK2.
Umm, running 'configure' messes it up, just do this:
# cd src
# make

gexec 0.4-patched1
A commandline GUI app. Same thing as the "Run" menu entry in Windows. Puppy2 had a GTK1 app named 'xrun'.
# make

blinky 0.8-1
Network tray applet. Written by Lior Tubi, orignally a GTK1 app, but it also compiles with GTK2.
# cd src
# gcc -O2 blinky.c interface.c usage-proc.c util.c -o ../bin/blinky `pkg-config --cflags gtk+-2.0` `pkg-config --libs gtk+-2.0`

freememapplet_xlib 404
Tray applet that shows free memory, uses only XLIB. This was originally a Window Maker docapp, that I hacked on. Puppy2 has a GTK1 equivalent.
# make

minixcal 1.1.1
A tiny calendar. Right-click the absvolume volume control will launch this, and it has a button to launch osmo. A GTK1 app written by Lior Tubi, but I got it to compile with GTK2 awhile back -- it is used in Puppy4.
# gcc minixcal.c -o minixcal `pkg-config --cflags gtk+-2.0` `pkg-config --libs gtk+-2.0`

isomaster 1.1
A GTK tool for editing ISO files (CD/DVD disc images).
I edited Makefile, changed PREFIX to "/usr", DEFAULT_EDITOR to "defaulttexteditor" and DEFAULT_VIEWER to "defaultbrowser".
# make

picpuz 14
GTK jigsaw puzzle game.
# ./build
...it asks for install directory, I replied "/usr/local/picpuz".
One thing I hate about that build script, it deletes it's source directory after installation.

hotplug2stdout
This contains 'hotplug2stdout' which monitors kernel uevents, also 'cddetect_quick' which probes an optical drive.
# gcc -o hotplug2stdout hotplug2stdout.c
# gcc -o cddetect_quick cddetect.c
# gcc -o hotplug2stdout_notime hotplug2stdout_notime.c

a52dec 0.7.4
Decode a52 (ac-3) media streams. This has a couple of utilities needed by one of zigbert's applications.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu

curlftpfs 0.9.1
Puppy4 has a package named 'file_sharing-curlftpfs-mpscan-0.2-0.9.1-0.1.0.pet' developed by kirk, a real neat system of file sharing on a network. It uses the 'curl' and 'pure-ftpd' packages, but also it has executables in it from the 'curlftpfs' and 'mpscan' packages. It would be better if I split them out.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu
# make
...strange, get errors about missing "rpl_alloc" and "rpl_realloc". I edited 'config.h.in' and commented out "#undef malloc" and "#undef realloc", also edited 'configure' and commented out the part where it has "#define malloc rpl_malloc". Now it compiles.

mpscan 0.1.0
Scans for open ports on a network. This is also needed by kirk's file-sharing application.
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --host=i486-pc-linux-gnu

file_sharing 0.2
This is a very clever network file sharing system created by kirk. The package now has the binary executables removed.

perl_tiny 5.8.8
Puppy has a cut-down Perl built-in, the full Perl package is in the 'devx' file. However, the cut-down package used in 217 has some Perl modules missing that are needed by PPLOG and netpbm. I do not have to recompile this package, just get the missing bits out of the 'devx' file. I have a script that does this -- woof/packages-templates/perl_tiny/FIXUPHACK is that script. I got the full Perl out of 'devx', ran that script and voila have a new 'perl_tiny'. This is the mechanism that Woof uses to create a perl_tiny from any Perl package.
Um, must remember, the perl_tiny in Puppy4 needs the same treatment.

For anyone who wants to know, the previous perl_tiny is 2764KB uncompressed, and it is now 3180KB.

ctorrent dnh3.3 PENDING
Plinej has an torrent client application that needs this (Pctorrent). I don't quite recall, but I think that plinej also has another application that needs ctorrent?
Oh, I don't have the source -- I'm offline, will compile this in a couple of days.
UPDATE: Have just now downloaded source version dnh3.3.2.

vcdimager PENDING
Needed by zigbert's Pburn I think.
UPDATE: have downloaded version 0.7.23.

normalize PENDING
Needed by one of zigbert's apps I think.
UPDATE: have downloaded version 0.7.7.

diffstat PENDING
UPDATE: have downloaded version 1.47.

HELP NEEDED
Puppy 217 has xdialog version "2.3.1.pup2" which is compiled with GTK2. That's fine, it seems to work okay with the new version of GTK, however I would prefer to recompile it. The problem is, I can't find the source. I know that we hacked on the official source, which is what that ".pup2" part means. I think dougal worked on this? Anyway, has anyone got that patched source?
UPDATE: found this forum page:
http://www.murga-linux.com/puppy/viewtopic.php?t=13512
...that has a patch from dougal. Applied to v2.3.1. The only patch?


Posted on 8 Jun 2009, 11:01


Comments:

Posted on 8 Jun 2009, 14:02 by disciple
gpptp etc
> A tiny calendar. Right-click the absvolume volume control will launch this,
Right-click on the clock maybe :)

> Anyway, I found source with version 0.4, but I'm not sure if that's the latest.
http://www.murga-linux.com/puppy/viewtopic.php?search_id=96910721&t=27356
Rarsa's tcl/tk one is way better though :)

> gpptp - I seem to recall some discussion awhile back on the forum about this program, that it is a bit too simple
jafadmin is working on it at the moment, and said he will upload source when he's finished.
http://www.murga-linux.com/puppy/viewtopic.php?p=301433
It still needs a bit more work to properly integrate the routing.